Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class ResultSetFactory

    java.lang.Object
      com.hp.hpl.jena.query.ResultSetFactory

    public class ResultSetFactory

extends java.lang.Object

ResultSetFactory - make result sets from places other than a query.

Author:
  Andy Seaborne

Constructor Summary
`ResultSetFactory()`

Method Summary
`static ResultSet` | `copyResults(ResultSet results)` Take a copy of a result set - the result set returns is an in-memory copy.
`static ResultSet` | `create(com.hp.hpl.jena.sparql.engine.QueryIterator queryIterator, java.util.List vars)` Build a result set from one of ARQ's lower level query iterator.
`static ResultSet` | `fromJSON(java.io.InputStream in)` Read from an input stream which is the format of the SPARQL result set format in JSON.
`static ResultSet` | `fromRDF(com.hp.hpl.jena.rdf.model.Model model)` Turns an RDF model, with properties and classses from the result set vocabulary, into a SPARQL result set.
`static ResultSet` | `fromSSE(java.io.InputStream in)` Read from an input stream which is the format of the SPARQL result set format in SSE.
`static ResultSet` | `fromXML(java.io.InputStream in)` Read XML which is the format of the SPARQL result set format.
`static ResultSet` | `fromXML(java.lang.String str)` Read XML which is the format of the SPARQL result set format.
`static ResultSet` | `load(java.io.InputStream input, com.hp.hpl.jena.sparql.resultset.ResultSetFormat format)` Load a result set from input stream into a result set (memory backed).
`static ResultSet` | `load(java.lang.String filenameOrURI)` Load a result set from file or URL into a result set (memory backed).
`static ResultSet` | `load(java.lang.String filenameOrURI, com.hp.hpl.jena.sparql.resultset.ResultSetFormat format)` Load a result set from file or URL into a result set (memory backed).
`static com.hp.hpl.jena.rdf.model.Model` | `loadAsModel(com.hp.hpl.jena.rdf.model.Model model, java.lang.String filenameOrURI)` Load a result set (or any other model) from file or URL
`static com.hp.hpl.jena.rdf.model.Model` | `loadAsModel(com.hp.hpl.jena.rdf.model.Model model, java.lang.String filenameOrURI, com.hp.hpl.jena.sparql.resultset.ResultSetFormat format)` Load a result set (or any other model) from file or URL.
`static com.hp.hpl.jena.rdf.model.Model` | `loadAsModel(java.lang.String filenameOrURI)` Load a result set (or any other model) from file or URL
`static com.hp.hpl.jena.rdf.model.Model` | `loadAsModel(java.lang.String filenameOrURI, com.hp.hpl.jena.sparql.resultset.ResultSetFormat format)` Load a result set (or any other model) from file or URL
`static ResultSet` | `makeResults(com.hp.hpl.jena.rdf.model.Model model)` Turns an RDF model, with properties and classses from the result set vocabulary, into a SPARQL result set.
`static ResultSetRewindable` | `makeRewindable(com.hp.hpl.jena.rdf.model.Model model)` Turns an RDF model, with properties and classses from the result set vocabulary, into a SPARQL result set which is rewindable (has a .reset()operation).
`static ResultSetRewindable` | `makeRewindable(ResultSet resultSet)` Turn an existing result set into a rewindable one.
`static ResultSet` | `makeSorted(ResultSet resultSet, java.util.List conditions)` Sort an existing result set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetFactory

    public ResultSetFactory()

Method Detail

### load

    public static ResultSet load(java.lang.String filenameOrURI)

  Load a result set from file or URL into a result set (memory backed).

  Parameters:
    `filenameOrURI` -
  Returns:
    ResultSet

### load

    public static ResultSet load(java.lang.String filenameOrURI,
                                 com.hp.hpl.jena.sparql.resultset.ResultSetFormat format)

  Load a result set from file or URL into a result set (memory backed).

  Parameters:
    `filenameOrURI` -
    `format` -
  Returns:
    ResultSet

### load

    public static ResultSet load(java.io.InputStream input,
                                 com.hp.hpl.jena.sparql.resultset.ResultSetFormat format)

  Load a result set from input stream into a result set (memory backed).

  Parameters:
    `input` -
    `format` -
  Returns:
    ResultSet

### loadAsModel

    public static com.hp.hpl.jena.rdf.model.Model loadAsModel(java.lang.String filenameOrURI)

  Load a result set (or any other model) from file or URL

  Parameters:
    `filenameOrURI` -
  Returns:
    Model

### loadAsModel

    public static com.hp.hpl.jena.rdf.model.Model loadAsModel(com.hp.hpl.jena.rdf.model.Model model,
                                                              java.lang.String filenameOrURI)

  Load a result set (or any other model) from file or URL

  Parameters:
    `model` - Load into this model (returned)
    `filenameOrURI` -
  Returns:
    Model

### loadAsModel

    public static com.hp.hpl.jena.rdf.model.Model loadAsModel(java.lang.String filenameOrURI,
                                                              com.hp.hpl.jena.sparql.resultset.ResultSetFormat format)

  Load a result set (or any other model) from file or URL

  Parameters:
    `filenameOrURI` -
    `format` -
  Returns:
    Model

### loadAsModel

    public static com.hp.hpl.jena.rdf.model.Model loadAsModel(com.hp.hpl.jena.rdf.model.Model model,
                                                              java.lang.String filenameOrURI,
                                                              com.hp.hpl.jena.sparql.resultset.ResultSetFormat format)

  Load a result set (or any other model) from file or URL. Does not have to be a result set (e.g. CONSTRUCt results) but it does interpret the ResultSetFormat possibilities.

  Parameters:
    `model` - Load into this model (returned)
    `filenameOrURI` -
    `format` -
  Returns:
    Model

### fromXML

    public static ResultSet fromXML(java.io.InputStream in)

  Read XML which is the format of the SPARQL result set format.

  Parameters:
    `in` - InputStream
  Returns:
    ResultSet

### fromXML

    public static ResultSet fromXML(java.lang.String str)

  Read XML which is the format of the SPARQL result set format.

  Parameters:
    `str` - String to process
  Returns:
    ResultSet

### fromRDF

    public static ResultSet fromRDF(com.hp.hpl.jena.rdf.model.Model model)

  Turns an RDF model, with properties and classses from the result set vocabulary, into a SPARQL result set. The result set formed is a copy in memory.

  Parameters:
    `model` -
  Returns:
    ResultSet

### fromJSON

    public static ResultSet fromJSON(java.io.InputStream in)

  Read from an input stream which is the format of the SPARQL result set format in JSON.

  Parameters:
    `in` - InputStream
  Returns:
    ResultSet

### fromSSE

    public static ResultSet fromSSE(java.io.InputStream in)

  Read from an input stream which is the format of the SPARQL result set format in SSE.

  Parameters:
    `in` - InputStream
  Returns:
    ResultSet

### makeResults

    public static ResultSet makeResults(com.hp.hpl.jena.rdf.model.Model model)

  Turns an RDF model, with properties and classses from the result set vocabulary, into a SPARQL result set. The result set formed is a copy in memory.

  Parameters:
    `model` -
  Returns:
    ResultSet

### makeRewindable

    public static ResultSetRewindable makeRewindable(com.hp.hpl.jena.rdf.model.Model model)

  Turns an RDF model, with properties and classses from the result set vocabulary, into a SPARQL result set which is rewindable (has a .reset()operation). The result set formed is a copy in memory.

  Parameters:
    `model` -
  Returns:
    ResultSetRewindable

### makeRewindable

    public static ResultSetRewindable makeRewindable(ResultSet resultSet)

  Turn an existing result set into a rewindable one. May take a copy - uses up the resul set passed in.

  Parameters:
    `resultSet` -
  Returns:
    ResultSetRewindable

### makeSorted

    public static ResultSet makeSorted(ResultSet resultSet,
                                       java.util.List conditions)

  Sort an existing result set. Experimental. The list of variables is a list of names (strings), with "x" for ascending in variable "x" and "-x" for descending in variable "x"

  Parameters:
    `resultSet` -
    `conditions` -
  Returns:
    ResultSet

### copyResults

    public static ResultSet copyResults(ResultSet results)

  Take a copy of a result set - the result set returns is an in-memory copy. It is not attached to the original query execution object which can be closed.

  Parameters:
    `results` -
  Returns:
    ResultSet

### create

    public static ResultSet create(com.hp.hpl.jena.sparql.engine.QueryIterator queryIterator,
                                   java.util.List vars)

  Build a result set from one of ARQ's lower level query iterator.

  Parameters:
    `queryIterator` -
    `vars` - List of variables for the result set
  Returns:
    ResultSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP